<header id="header" class="header">
  <form [formGroup]='loginForm' (ngSubmit)='onLogin()'>
    <div class="header-menu row text-center">

      <div class="col-lg-5 col-12">
        <h3 class="text-logo"><strong>Gestionnaire d'inventaires</strong></h3>
      </div>

      <div class="col-lg-2 offset-lg-0 col-6 offset-3">
        <mat-form-field class="col-12">
          <input matInput formControlName="email" placeholder="Email">
        </mat-form-field>
      </div>

      <div class="col-lg-2 offset-lg-0 col-6 offset-3">
        <mat-form-field class="col-12">
          <input matInput  formControlName="password" placeholder="Mot de passe" [type]="hide ? 'password' : 'text'">
          <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
        </mat-form-field>
      </div>

      <div class="col-lg-2 p-0">
        <button type='submit' class="btn btn-primary btn-flat btn-connexion">Connexion </button>
      </div>
    </div>
  </form>
</header>

<section class="sect-register">
  <form id="formRegister" (ngSubmit)='onRegister()'>
    <div class="col-lg-5 offset-lg-1 text-center col-10 offset-1">
      <img src="assets/img/inventory.png" alt="Registration Form">
    </div>

    <div class="col-lg-4 offset-lg-1 col-12">
      <div class="text-titles">
        <h2><strong>Inscription</strong></h2>
        <h6>Création et gestion d'entrepôts et d'inventaires.</h6>
      </div>

      <div class="row">
        <div class="col-6">
          <mat-form-field class="col-12">
            <input [(ngModel)]="register.firstName" name="firstName" required matInput placeholder="Prénom">
          </mat-form-field>
        </div>

        <div class="col-6">
          <mat-form-field class="col-12">
            <input [(ngModel)]="register.lastName" name="lastName" required matInput placeholder="Nom">
          </mat-form-field>
        </div>
      </div>

      <div class="row">
        <div class="col-12">
          <mat-form-field class="col-12">
            <input [(ngModel)]="register.email" name="email" matInput placeholder="Email" [formControl]="email" required>
          </mat-form-field>
        </div>
      </div>

      <div class="row">
        <div class="col-6">
          <mat-form-field class="col-12">
            <input [(ngModel)]="register.password" name="password" matInput placeholder="Mot de passe" [type]="hideR1 ? 'password' : 'text'" required>
            <mat-icon matSuffix (click)="hideR1 = !hideR1">{{hideR1 ? 'visibility_off' : 'visibility'}}</mat-icon>
          </mat-form-field>
        </div>

        <div class="col-6">
          <mat-form-field class="col-12">
            <input [(ngModel)]="register.confirmPassword" name="confirmPassword" matInput placeholder="Confirmer le mot de passe" [type]="hideR2 ? 'password' : 'text'" required>
            <mat-icon matSuffix (click)="hideR2 = !hideR2">{{hideR2 ? 'visibility_off' : 'visibility'}}</mat-icon>
          </mat-form-field>
        </div>
      </div>

      <div class="row">
        <div class="col-12 text-center">
          <button type='submit' class="btn btn-primary btn-flat btn-connexion mb-4">Inscription </button>
        </div>
      </div>
    </div>
  </form>
</section>
